## tdetoys-trinity 14.0.10

=== kweather/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( graphics )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### kweatherreport (tdeinit) ##################

tde_add_tdeinit_executable( kweatherreport AUTOMOC
  SOURCES reportmain.cpp weatherservice.stub
    reportview.cpp
  LINK tdeui-shared tdehtml-shared
)


##### kweatherservice (executable) ##############

tde_add_executable( kweatherservice AUTOMOC
  SOURCES main.cpp metar_parser.cpp
    weatherlib.cpp weatherservice.cpp
    weatherservice.skel stationdatabase.cpp
    sun.cpp weatherservice.stub
  LINK tdeio-shared
  DESTINATION ${BIN_INSTALL_DIR}
)


##### generate stations.dat and weather_stations.desktop

if( NOT PERL_EXECUTABLE )
  include( FindPerl )
endif( )

add_custom_command(
    OUTPUT stations.dat weather_stations.desktop
    COMMAND ${PERL_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/genstations.pl
        ${CMAKE_CURRENT_SOURCE_DIR}/data/nsd_cccc.txt
        ${CMAKE_CURRENT_SOURCE_DIR}/data/station_names.txt
        ${CMAKE_CURRENT_SOURCE_DIR}/weather_stations.desktop.in
    DEPENDS
        ${CMAKE_CURRENT_SOURCE_DIR}/genstations.pl
        ${CMAKE_CURRENT_SOURCE_DIR}/data/nsd_cccc.txt
        ${CMAKE_CURRENT_SOURCE_DIR}/data/station_names.txt
        ${CMAKE_CURRENT_SOURCE_DIR}/weather_stations.desktop.in
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
)


##### sun_test (test) ###########################
# FIXME: add correct test targets support
# 
# tde_add_executable( sun_test AUTOMOC
#   SOURCES sun_test.cpp sun.cpp
# )
# 
# add_test( NAME sun_test-test
#   COMMAND sun_test)
# 
# 
##### stationdatabase_test (test) ###############
# 
# tde_add_executable( stationdatabase_test AUTOMOC
#   SOURCES stationdatabase_test.cpp
#     stationdatabase.cpp
# )
# 
# add_test( NAME stationdatabase_test-test
#   COMMAND stationdatabase_test)
# 
# 
##### metar_parser_test (test) ##################
# 
# tde_add_executable( metar_parser_test AUTOMOC
#   SOURCES metar_parser_test.cpp metar_parser.cpp
#     stationdatabase.cpp sun.cpp
# )
# 
# add_test( NAME metar_parser_test-test
#   COMMAND metar_parser_test)
# 

##### weather_panelapplet (kpart) ###############

tde_add_kpart( weather_panelapplet AUTOMOC
  SOURCES reportview.cpp kweather.cpp
    dockwidget.cpp weatherIface.skel
    weatherservice.stub weatherbutton.cpp
  LINK tdehtml-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### kcm_weather (kpart) #######################

tde_add_kpart( kcm_weather AUTOMOC
  SOURCES kcmweather.cpp prefdialogdata.ui
    weatherservice.stub
  LINK tdeio-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### kcm_weatherservice (kpart) ################

tde_add_kpart( kcm_weatherservice AUTOMOC
  SOURCES kcmweatherservice.cpp
    serviceconfigwidget.cpp serviceconfigdata.ui
    weatherservice.stub
  LINK tdeui-shared tdehtml-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### icons #####################################

tde_install_icons( kweather )


##### other data ################################

tde_create_translated_desktop(
  SOURCE ${CMAKE_CURRENT_BINARY_DIR}/weather_stations.desktop
  KEYWORDS name
  DESTINATION ${DATA_INSTALL_DIR}/kweatherservice
  PO_DIR kweather-stations
)

install(
  FILES ${CMAKE_CURRENT_BINARY_DIR}/stations.dat
  DESTINATION ${DATA_INSTALL_DIR}/kweatherservice
)

tde_create_translated_desktop(
  SOURCE kweather.desktop
  DESTINATION ${DATA_INSTALL_DIR}/kicker/applets
  PO_DIR kweather-desktops
)

tde_create_translated_desktop(
  SOURCE
    kweatherservice.desktop
    kcmweather.desktop
    kcmweatherservice.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
  PO_DIR kweather-desktops
)

## tdetoys-trinity 14.0.6

=== debian/changelog ===
tdetoys-trinity (4:14.0.6-0raspbian7.0.0+0) raspbian-wheezy; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 05 Mar 2019 23:05:06 +0100

tdetoys-trinity (4:3.5.10-0ubuntu2) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 Jul 2009 16:08:00 -0600

tdetoys-trinity (4:3.5.10-0ubuntu1~intrepid2) intrepid; urgency=low

  * Moved Trinity to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 01 March 2009 13:35:00 -0600

tdetoys-trinity (4:3.5.10-0ubuntu1~intrepid1) intrepid; urgency=low

  * Import from SVN

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 27 Nov 2008 20:01:00 -0600

tdetoys (4:3.5.10-0ubuntu1~hardy1) hardy-backports; urgency=low

  * New upstream bugfix release (LP: #261366)
    - Bump version of build-dep on tdelibs4-dev to 3.5.10

 -- Scott Kitterman <scott@kitterman.com>  Tue, 26 Aug 2008 00:53:15 -0400

tdetoys (4:3.5.9-0ubuntu1) hardy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 14 Feb 2008 12:27:08 +0000

tdetoys (4:3.5.8-1ubuntu2) hardy; urgency=low

  * Run buildprep before upload

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Nov 2007 09:43:07 +0000

tdetoys (4:3.5.8-1ubuntu1) hardy; urgency=low

  * Merge with Debian, no changes except LP translations patch in debian/patches/common

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Nov 2007 17:25:39 +0000

tdetoys (4:3.5.8-1) unstable; urgency=low

  * New upstream release.
  * Implement the use of uploaders.mk and update uploaders.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Update section in Debian menu files (Hello Bill!)
  * Redo buildprep and dump build-dependencies to 3.5.8.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Thu, 11 Oct 2007 07:31:15 +0200

tdetoys (4:3.5.7-2) unstable; urgency=low

  * Fixing typo in amor menu. Thanks to Bill Allombert for his hard work in
    Debian menus file. (Closes: #428528)
  * Updating kodo's description. It is not defined as useless anymore.
   (Closes: #379912)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 13 Jun 2007 01:32:10 +0200

tdetoys (4:3.5.8-0ubuntu1) gutsy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Oct 2007 11:41:22 +0100

tdetoys (4:3.5.7-1ubuntu1) gutsy; urgency=low

  * New Upstream Version
  * Modify Maintainer value to match Debian-Maintainer-Field Spec

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Wed, 23 May 2007 15:28:10 +1000

tdetoys (4:3.5.7-1) unstable; urgency=low

  * New upstream release. 

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Remove patches 02_kweather_readd_latvia_station.diff and
    03_kweather_canada_station_update.diff, merged upstream.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 16 May 2007 00:58:34 +0100

tdetoys (4:3.5.6-2ubuntu1) gutsy; urgency=low

  * Merge with Debian

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Apr 2007 15:56:21 +0100

tdetoys (4:3.5.6-2) unstable; urgency=low

  * Upload to unstable after Etch release.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 18 Apr 2007 15:21:25 +0100

tdetoys (4:3.5.6-1) experimental; urgency=low

  * New upstream release.

  +++ Changes by Modestas Vainius:

  * Remove patches 01, 04. Applied upstream.
  * Add myself to Uploaders.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 17 Jan 2007 18:16:41 +0200

tdetoys (4:3.5.5-3) unstable; urgency=medium

  +++ Changes by Modestas Vainius:
  * Previous revision didn't add Lithuania to the country list as it was
    supposed to. So sync weather_stations.desktop and station.dat with KDE
    3.5 branch, which include Lithuanian stations in addition to other
    station updates.
  * Fix Latvia country code (LA -> LV) and add Latvian Liepaja station.
  * Add/update Canadian weather stations. The patch based on the one in the
    bug report, but with all dead stations removed. (Closes: #400291)
  * Add patch from upstream svn (commit 616273) to fix occasional station
    selection breakage. (Closes: #348459)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 30 Dec 2006 20:28:47 +0200

tdetoys (4:3.5.5-2) unstable; urgency=low

  * Add Lithuania to the country list of kweather. Add weather stations
    that are available in Lithuania:
    - Vilnius (EYVI) as "Vilnius"
    - Kaunas (EYKA) as "Kaunas"
    - Siauliai Intl./Mil. (EYSA) as "Siauliai"
    - Palanga Intl. (EYPA) as "Palanga"
    Thanks to Modestas Vainius.
  * Make tdetoys-dbg depend on tdelibs-dbg to get useful backtraces when
    debugging.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 07 Dec 2006 19:03:17 +0100

tdetoys (4:3.5.6-0ubuntu1) feisty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 17 Jan 2007 11:22:29 +0000

tdetoys (4:3.5.5-1ubuntu2) feisty; urgency=low

  * rebuild with --enable-gcc-hidden-visibility

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 16 Nov 2006 19:39:17 +0000

tdetoys (4:3.5.5-1ubuntu1) feisty; urgency=low

  * Merge with Debian

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 15 Nov 2006 22:31:57 +0000

tdetoys (4:3.5.5-1) unstable; urgency=low

  * New upstream release.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed,  4 Oct 2006 20:13:46 -0400

tdetoys (4:3.5.4-1) unstable; urgency=low

  * New upstream release.

  * KDE_3_5_BRANCH update (up to r567758).

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 29 Jul 2006 20:57:12 -0400

tdetoys (4:3.5.5-0ubuntu1) edgy; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue,  3 Oct 2006 10:56:08 +0000

tdetoys (4:3.5.4-0ubuntu2) edgy; urgency=low

  * Rebuild with latest cdbs to add gettext domain to .desktop files for
    langpacks-desktopfiles-kde, no source changes



=== debian/control ===
Source: tdetoys-trinity
Section: tde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Christopher Martin <chrsmrtn@debian.org>, Modestas Vainius <geromanas@mailas.com>
Build-Depends: libasound2-dev, cdbs (>= 0.4.39-0.1), debhelper (>= 7.0.50~), quilt, cmake, autotools-dev, tdelibs14-trinity-dev, gawk, sharutils, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4

Package: tdetoys-trinity
Architecture: all
Section: tde
Replaces: kdetoys-trinity (<< 4:14.0.0~)
Breaks: kdetoys-trinity (<< 4:14.0.0~)
Depends: amor-trinity (>= ${source:Version}), eyesapplet-trinity (>= ${source:Version}), fifteenapplet-trinity (>= ${source:Version}), kmoon-trinity (>= ${source:Version}), kodo-trinity (>= ${source:Version}), kteatime-trinity (>= ${source:Version}), ktux-trinity (>= ${source:Version}), kweather-trinity (>= ${source:Version}), kworldclock-trinity (>= ${source:Version})
Suggests: tdetoys-trinity-doc-html (>= ${source:Version})
Description: toys from the official Trinity release
 TDE (the Trinity Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This metapackage includes a collection of toys and fun extras provided
 with the official release of Trinity.

Package: tdetoys-trinity-doc-html
Architecture: all
Section: doc
Replaces: kdetoys-trinity-doc-html (<< 4:14.0.0~)
Breaks: kdetoys-trinity-doc-html (<< 4:14.0.0~)
Suggests: konqueror-trinity | www-browser, tdetoys-trinity
Description: Trinity toys documentation in HTML format
 By default the modules provided by TDE only provide their documentation
 in TDE docbook format, which can only be read by Konqueror or KHelpCenter.
 This package provides all of the TDE toys documentation converted to
 HTML format so it can be read with any web browser.
 .
 The documentation will be installed into the usual directories
 /opt/trinity/share/doc/tde/HTML/<language>/<app>/, for instance
 /opt/trinity/share/doc/tde/HTML/en/amor/. Documentation is provided for most
 TDE toys packages.
 .
 This package is part of Trinity, and a component of the TDE toys module.
 See the 'tde-trinity' and 'tdetoys-trinity' packages for more information.

Package: amor-trinity
Architecture: any
Section: games
Replaces: amor-trinity (<< 4:14.0.0~)
Breaks: amor-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Recommends: twin-trinity
Suggests: khelpcenter-trinity
Conflicts: task-tdetoys-trinity
Description: a Trinity creature for your desktop
 AMOR stands for Amusing Misuse Of Resources. It provides several different
 characters who prance around your X screen doing tricks and giving you tips.
 .
 Note that AMOR will only work with some window managers. Both KWin (the
 TDE window manager) and Metacity (a GTK2 window manager) are supported.
 .
 This package is part of Trinity, and a component of the TDE toys module.
 See the 'tde-trinity' and 'tdetoys-trinity' packages for more information.

Package: eyesapplet-trinity
Architecture: any
Section: tde
Replaces: eyesapplet-trinity (<< 4:14.0.0~)
Breaks: eyesapplet-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Recommends: kicker-trinity
Conflicts: task-tdetoys-trinity
Description: eyes applet for Trinity
 An applet for the TDE panel containing a pair of eyes that follow your mouse
 around the screen.
 .
 This package is part of Trinity, and a component of the TDE toys module.
 See the 'tde-trinity' and 'tdetoys-trinity' packages for more information.

Package: fifteenapplet-trinity
Architecture: any
Section: tde
Replaces: fifteenapplet-trinity (<< 4:14.0.0~)
Breaks: fifteenapplet-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Recommends: kicker-trinity
Description: fifteen pieces puzzle for Trinity
 An applet for the TDE panel that lets you play the Fifteen Pieces
 sliding block puzzle. You have to order 15 pieces in a 4x4 square by
 moving them around.
 .
 This package is part of Trinity, and a component of the TDE toys module.
 See the 'tde-trinity' and 'tdetoys-trinity' packages for more information.

Package: kmoon-trinity
Architecture: any
Section: tde
Replaces: kmoon-trinity (<< 4:14.0.0~)
Breaks: kmoon-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Recommends: kicker-trinity
Suggests: khelpcenter-trinity
Conflicts: task-tdetoys-trinity
Description: moon phase indicator for Trinity
 An applet for the TDE panel that displays the current phase of the moon.
 .
 This package is part of Trinity, and a component of the TDE toys module.
 See the 'tde-trinity' and 'tdetoys-trinity' packages for more information.

Package: kodo-trinity
Architecture: any
Section: games
Replaces: kodo-trinity (<< 4:14.0.0~)
Breaks: kodo-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: khelpcenter-trinity
Conflicts: task-tdetoys-trinity
Description: mouse odometer for Trinity
 KOdometer measures your desktop mileage. It tracks the movement of your mouse
 pointer across your desktop and renders it in inches/feet/miles! It can
 do cm/metres/km too. Its most exciting feature is the tripometer.
 .
 This package is part of Trinity, and a component of the TDE toys module.
 See the 'tde-trinity' and 'tdetoys-trinity' packages for more information.

Package: kteatime-trinity
Architecture: any
Section: tde
Replaces: kteatime-trinity (<< 4:14.0.0~)
Breaks: kteatime-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, kicker-trinity
Suggests: khelpcenter-trinity
Conflicts: task-tdetoys-trinity
Description: Trinity utility for making a fine cup of tea
 KTeaTime is a handy timer for steeping tea. No longer will you have to
 guess at how long it takes for your tea to be ready. Simply select the
 type of tea you have, and it will alert you when the tea is ready to
 drink.
 .
 KTeaTime sits in the Trinity system tray.
 .
 Please note that KTeaTime is written explicitly for Trinity. If you are
 using a non-TDE window manager or desktop environment then it is quite
 possible that KTeaTime will not work on your system.
 .
 This package is part of Trinity, and a component of the TDE toys module.
 See the 'tde-trinity' and 'tdetoys-trinity' packages for more information.

Package: ktux-trinity
Architecture: any
Section: tde
Replaces: ktux-trinity (<< 4:14.0.0~)
Breaks: ktux-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: twin-trinity
Conflicts: task-tdetoys-trinity
Description: Tux screensaver for Trinity
 A neat Tux-in-a-spaceship screensaver for the Trinity Desktop Environment (TDE).
 .
 This package is part of Trinity, and a component of the TDE toys module.
 See the 'tde-trinity' and 'tdetoys-trinity' packages for more information.

Package: kweather-trinity
Architecture: any
Section: tde
Replaces: kweather-trinity (<< 4:14.0.0~)
Breaks: kweather-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Recommends: kicker-trinity
Suggests: khelpcenter-trinity
Description: weather display applet for Trinity
 An applet for the TDE panel that displays your area's current weather.
 Information shown includes the temperature, wind speed, air pressure
 and more. By pressing a button a full weather report can be obtained.
 .
 KWeather also provides a weather service that can track multiple weather
 stations and provide this information to other applications, including
 Konqueror's sidebar and Kontact's summary page.
 .
 This package is part of Trinity, and a component of the TDE toys module.
 See the 'tde-trinity' and 'tdetoys-trinity' packages for more information.

Package: kworldclock-trinity
Architecture: any
Section: games
Replaces: kworldclock-trinity (<< 4:14.0.0~)
Breaks: kworldclock-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: tdeartwork-misc-trinity, kicker-trinity, kdesktop-trinity, khelpcenter-trinity
Conflicts: task-tdetoys-trinity, kworldwatch-trinity (<= 4:2.2-beta1-1)
Provides: kworldwatch-trinity
Description: earth watcher for Trinity
 Displays where in the world it is light and dark depending on time, as
 well as offering the time in all of the major cities of the world.
 This can be run standalone, as an applet in the TDE panel or as a
 desktop background.
 .
 Additional kworldclock themes are available in the tdeartwork-misc package.
 .
 This package is part of Trinity, and a component of the TDE toys module.
 See the 'tde-trinity' and 'tdetoys-trinity' packages for more information.

Package: tdetoys-trinity-dbg
Section: libdevel
Architecture: any
Replaces: kdetoys-trinity-dbg (<< 4:14.0.0~)
Breaks: kdetoys-trinity-dbg (<< 4:14.0.0~)
Depends: tdelibs-trinity-dbg
Priority: extra
Description: debugging symbols for tdetoys-trinity
 This package contains the debugging symbols associated with tdetoys-trinity.
 They will automatically be used by gdb for debugging tdetoys-related
 issues.

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
include debian/cdbs/debian-qt-kde.mk
#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/opt/trinity --with-extra-libs=/opt/trinity/lib --includedir="/opt/trinity/include" --mandir="/opt/trinity/share/man" --infodir="/opt/trinity/share/info"

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DBUILD_ALL="ON"

DEB_DH_STRIP_ARGS  := --dbg-package=tdetoys-trinity-dbg

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

DEB_INSTALL_CHANGELOGS_kodo-trinity := kodo/ChangeLog
DEB_INSTALL_CHANGELOGS_kteatime-trinity := kteatime/ChangeLog

## tdetoys-trinity 14.0.10

=== debian/changelog ===
tdetoys-trinity (4:14.0.10-0raspbian8.0.0+0) raspbian-jessie; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

## tdetoys-trinity 14.0.11

=== debian/changelog ===
tdetoys-trinity (4:14.0.11-0debian8.0.0+0) jessie; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#tdetoys

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 10 Oct 2021 00:01:30 +0200

## tdetoys-trinity 14.0.13

=== debian/changelog ===
tdetoys-trinity (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#tdetoys

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 08 Jul 2022 00:02:18 +0200

## tdetoys-trinity 14.1.0

=== CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

cmake_minimum_required( VERSION 3.1 )


##### general package setup #####################

project( tdetoys )


##### include essential cmake modules ###########

include( FindPkgConfig )
include( CheckIncludeFile )
include( CheckLibraryExists )
include( CheckSymbolExists )
include( CheckCSourceCompiles )
include( CheckCXXSourceCompiles )
# @Add othere required cmake modules here@
#
# EXAMPLE:
# include( CheckTypeSize )


##### include our cmake modules #################

include( TDEMacros )


##### set version number ########################

tde_set_project_version( )


##### setup install paths #######################

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff ############################

# @Add configuration options here@
#
# EXAMPLE:
# option( WITH_T1LIB "Enable t1lib support" OFF )


##### options comments ##########################

# @Add configuration options descriptions here@
# NOTE: They should be commented.
# EXAMPLE:
# # WITH_T1LIB   affects <modules which affects this variable>
# # WITH_T1LIB   description <a verbose description what functionality is
#                            addeded or removed by this option>


##### user requested modules ####################

option( BUILD_ALL           "Build all" OFF )
option( BUILD_AMOR          "Build amor" ${BUILD_ALL} )
option( BUILD_DOC           "Build doc" ${BUILD_ALL} )
option( BUILD_EYESAPPLET    "Build eyesapplet" ${BUILD_ALL} )
option( BUILD_FIFTEENAPPLET "Build fifteenapplet" ${BUILD_ALL} )
option( BUILD_KMOON         "Build kmoon" ${BUILD_ALL} )
option( BUILD_KODO          "Build kodo" ${BUILD_ALL} )
option( BUILD_KTEATIME      "Build kteatime" ${BUILD_ALL} )
option( BUILD_KTUX          "Build ktux" ${BUILD_ALL} )
option( BUILD_KWEATHER      "Build kweather" ${BUILD_ALL} )
option( BUILD_KONQ_KWEATHER "Build kweather sidebar for Konqueror" ${BUILD_ALL} )
option( BUILD_KWORLDWATCH   "Build kworldwatch" ${BUILD_ALL} )


##### configure checks ##########################

include( ConfigureChecks.cmake )


###### global compiler settings #################

add_definitions(
  -DHAVE_CONFIG_H
)

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### @TDE_MODULE_NAME@  directories ############

tde_conditional_add_subdirectory( BUILD_AMOR          amor )
tde_conditional_add_subdirectory( BUILD_DOC           doc )
tde_conditional_add_subdirectory( BUILD_EYESAPPLET    eyesapplet )
tde_conditional_add_subdirectory( BUILD_FIFTEENAPPLET fifteenapplet )
tde_conditional_add_subdirectory( BUILD_KMOON         kmoon )
tde_conditional_add_subdirectory( BUILD_KODO          kodo )
tde_conditional_add_subdirectory( BUILD_KTEATIME      kteatime )
tde_conditional_add_subdirectory( BUILD_KTUX          ktux )
tde_conditional_add_subdirectory( BUILD_KWEATHER      kweather )
tde_conditional_add_subdirectory( BUILD_KWORLDWATCH   kworldwatch )


##### write configure files #####################

configure_file( config.h.cmake config.h @ONLY )

=== doc/kteatime/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_create_handbook( DESTINATION kteatime )

INSTALL(
    FILES kteatime.1
    DESTINATION ${MAN_INSTALL_DIR}/man1
    COMPONENT doc
)

=== debian/changelog ===
tdetoys-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#tdetoys

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

## tdetoys-trinity 14.1.1

=== debian/changelog ===
tdetoys-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#tdetoys

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 25 Sep 2023 05:12:41 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: tdetoys-trinity
 Section: tde
 Priority: optional
-Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Christopher Martin <chrsmrtn@debian.org>, Modestas Vainius <geromanas@mailas.com>
-Build-Depends: libasound2-dev, cdbs (>= 0.4.39-0.1), debhelper (>= 7.0.50~), quilt, cmake, autotools-dev, tdelibs14-trinity-dev, gawk, sharutils, automake, autoconf, libtool, libltdl-dev
+Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, tdebase-trinity-dev
 Standards-Version: 3.8.4
 
 Package: tdetoys-trinity
 Architecture: all
 Section: tde
-Replaces: kdetoys-trinity (<< 4:14.0.0~)
-Breaks: kdetoys-trinity (<< 4:14.0.0~)
+Replaces: kdetoys-kde3 (<< 4:14.0.0~), kdetoys-trinity (<< 4:14.0.0~)
+Breaks: kdetoys-kde3 (<< 4:14.0.0~), kdetoys-trinity (<< 4:14.0.0~)
 Depends: amor-trinity (>= ${source:Version}), eyesapplet-trinity (>= ${source:Version}), fifteenapplet-trinity (>= ${source:Version}), kmoon-trinity (>= ${source:Version}), kodo-trinity (>= ${source:Version}), kteatime-trinity (>= ${source:Version}), ktux-trinity (>= ${source:Version}), kweather-trinity (>= ${source:Version}), kworldclock-trinity (>= ${source:Version})
 Suggests: tdetoys-trinity-doc-html (>= ${source:Version})
 Description: toys from the official Trinity release
@@ -26,8 +26,8 @@
 Package: tdetoys-trinity-doc-html
 Architecture: all
 Section: doc
-Replaces: kdetoys-trinity-doc-html (<< 4:14.0.0~)
-Breaks: kdetoys-trinity-doc-html (<< 4:14.0.0~)
+Replaces: kdetoys-kde3-doc-html (<< 4:14.0.0~), kdetoys-trinity-doc-html (<< 4:14.0.0~)
+Breaks: kdetoys-kde3-doc-html (<< 4:14.0.0~), kdetoys-trinity-doc-html (<< 4:14.0.0~)
 Suggests: konqueror-trinity | www-browser, tdetoys-trinity
 Description: Trinity toys documentation in HTML format
  By default the modules provided by TDE only provide their documentation
@@ -46,8 +46,8 @@
 Package: amor-trinity
 Architecture: any
 Section: games
-Replaces: amor-trinity (<< 4:14.0.0~)
-Breaks: amor-trinity (<< 4:14.0.0~)
+Replaces: amor-kde3 (<< 4:14.0.0~), amor-trinity (<< 4:14.0.0~)
+Breaks: amor-kde3 (<< 4:14.0.0~), amor-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Recommends: twin-trinity
 Suggests: khelpcenter-trinity
@@ -65,8 +65,8 @@
 Package: eyesapplet-trinity
 Architecture: any
 Section: tde
-Replaces: eyesapplet-trinity (<< 4:14.0.0~)
-Breaks: eyesapplet-trinity (<< 4:14.0.0~)
+Replaces: eyesapplet-kde3 (<< 4:14.0.0~), eyesapplet-trinity (<< 4:14.0.0~)
+Breaks: eyesapplet-kde3 (<< 4:14.0.0~), eyesapplet-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Recommends: kicker-trinity
 Conflicts: task-tdetoys-trinity
@@ -80,8 +80,8 @@
 Package: fifteenapplet-trinity
 Architecture: any
 Section: tde
-Replaces: fifteenapplet-trinity (<< 4:14.0.0~)
-Breaks: fifteenapplet-trinity (<< 4:14.0.0~)
+Replaces: fifteenapplet-kde3 (<< 4:14.0.0~), fifteenapplet-trinity (<< 4:14.0.0~)
+Breaks: fifteenapplet-kde3 (<< 4:14.0.0~), fifteenapplet-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Recommends: kicker-trinity
 Description: fifteen pieces puzzle for Trinity
@@ -95,8 +95,8 @@
 Package: kmoon-trinity
 Architecture: any
 Section: tde
-Replaces: kmoon-trinity (<< 4:14.0.0~)
-Breaks: kmoon-trinity (<< 4:14.0.0~)
+Replaces: kmoon-kde3 (<< 4:14.0.0~), kmoon-trinity (<< 4:14.0.0~)
+Breaks: kmoon-kde3 (<< 4:14.0.0~), kmoon-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Recommends: kicker-trinity
 Suggests: khelpcenter-trinity
@@ -110,8 +110,8 @@
 Package: kodo-trinity
 Architecture: any
 Section: games
-Replaces: kodo-trinity (<< 4:14.0.0~)
-Breaks: kodo-trinity (<< 4:14.0.0~)
+Replaces: kodo-kde3 (<< 4:14.0.0~), kodo-trinity (<< 4:14.0.0~)
+Breaks: kodo-kde3 (<< 4:14.0.0~), kodo-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Suggests: khelpcenter-trinity
 Conflicts: task-tdetoys-trinity
@@ -126,8 +126,8 @@
 Package: kteatime-trinity
 Architecture: any
 Section: tde
-Replaces: kteatime-trinity (<< 4:14.0.0~)
-Breaks: kteatime-trinity (<< 4:14.0.0~)
+Replaces: kteatime-kde3 (<< 4:14.0.0~), kteatime-trinity (<< 4:14.0.0~)
+Breaks: kteatime-kde3 (<< 4:14.0.0~), kteatime-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}, kicker-trinity
 Suggests: khelpcenter-trinity
 Conflicts: task-tdetoys-trinity
@@ -149,8 +149,8 @@
 Package: ktux-trinity
 Architecture: any
 Section: tde
-Replaces: ktux-trinity (<< 4:14.0.0~)
-Breaks: ktux-trinity (<< 4:14.0.0~)
+Replaces: ktux-kde3 (<< 4:14.0.0~), ktux-trinity (<< 4:14.0.0~)
+Breaks: ktux-kde3 (<< 4:14.0.0~), ktux-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Suggests: twin-trinity
 Conflicts: task-tdetoys-trinity
@@ -163,8 +163,8 @@
 Package: kweather-trinity
 Architecture: any
 Section: tde
-Replaces: kweather-trinity (<< 4:14.0.0~)
-Breaks: kweather-trinity (<< 4:14.0.0~)
+Replaces: kweather-kde3 (<< 4:14.0.0~), kweather-trinity (<< 4:14.0.0~)
+Breaks: kweather-kde3 (<< 4:14.0.0~), kweather-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Recommends: kicker-trinity
 Suggests: khelpcenter-trinity
@@ -183,8 +183,8 @@
 Package: kworldclock-trinity
 Architecture: any
 Section: games
-Replaces: kworldclock-trinity (<< 4:14.0.0~)
-Breaks: kworldclock-trinity (<< 4:14.0.0~)
+Replaces: kworldclock-kde3 (<< 4:14.0.0~), kworldclock-trinity (<< 4:14.0.0~)
+Breaks: kworldclock-kde3 (<< 4:14.0.0~), kworldclock-trinity (<< 4:14.0.0~)
 Depends: ${shlibs:Depends}
 Suggests: tdeartwork-misc-trinity, kicker-trinity, kdesktop-trinity, khelpcenter-trinity
 Conflicts: task-tdetoys-trinity, kworldwatch-trinity (<= 4:2.2-beta1-1)
@@ -203,8 +203,8 @@
 Package: tdetoys-trinity-dbg
 Section: libdevel
 Architecture: any
-Replaces: kdetoys-trinity-dbg (<< 4:14.0.0~)
-Breaks: kdetoys-trinity-dbg (<< 4:14.0.0~)
+Replaces: kdetoys-kde3-dbg (<< 4:14.0.0~), kdetoys-trinity-dbg (<< 4:14.0.0~)
+Breaks: kdetoys-kde3-dbg (<< 4:14.0.0~), kdetoys-trinity-dbg (<< 4:14.0.0~)
 Depends: tdelibs-trinity-dbg
 Priority: extra
 Description: debugging symbols for tdetoys-trinity

## tdetoys-trinity 14.1.2

=== debian/changelog ===
tdetoys-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#tdetoys

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 17 Mar 2024 09:19:18 +0100

## tdetoys-trinity 14.1.3

=== debian/changelog ===
tdetoys-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#tdetoys

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 26 Sep 2024 15:12:07 +0200

## tdetoys-trinity 14.1.4

=== debian/changelog ===
tdetoys-trinity (4:14.1.4-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#tdetoys

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 15 Apr 2025 04:21:58 +0200

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
include debian/cdbs/debian-tde.mk

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DBUILD_ALL="ON"

DEB_DH_STRIP_ARGS  := --dbg-package=tdetoys-trinity-dbg

DEB_INSTALL_CHANGELOGS_kodo-trinity := kodo/ChangeLog
DEB_INSTALL_CHANGELOGS_kteatime-trinity := kteatime/ChangeLog

## tdetoys-trinity 14.1.5~pre4

=== debian/changelog ===
tdetoys-trinity (4:14.1.5~pre4-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for 582682650ec79836ffe7e9adf5dbcb35565c952f
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tdetoys

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## tdetoys-trinity 14.1.5

=== fifteenapplet/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### fifteen_panelapplet (kpart) ###############

tde_add_kpart( fifteen_panelapplet AUTOMOC
  SOURCES fifteenapplet.cpp qttableview.cpp
  LINK tdeui-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE kfifteenapplet.desktop
  DESTINATION ${DATA_INSTALL_DIR}/kicker/applets
)

=== kmoon/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( pics )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### kmoon_panelapplet (kpart) #################

tde_add_kpart( kmoon_panelapplet AUTOMOC
  SOURCES kmoonapplet.cpp phases.cpp kmoondlg.cpp
    kmoonwidget.cpp
  LINK tdeui-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### icons #####################################

tde_install_icons( kmoon )


##### other data ################################

tde_create_translated_desktop(
  SOURCE kmoonapplet.desktop
  DESTINATION ${DATA_INSTALL_DIR}/kicker/applets
)

=== kteatime/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### kteatime (executable) #####################

tde_add_executable( kteatime AUTOMOC
  SOURCES main.cpp toplevel.cpp tealist.cpp
    timeedit.cpp
  LINK tdeio-shared
  DESTINATION ${BIN_INSTALL_DIR}
)


##### icons #####################################

tde_install_icons( kteatime )

tde_install_icons(
  DESTINATION ${DATA_INSTALL_DIR}/kteatime/icons )

##### other data ################################

tde_create_translated_desktop(
  SOURCE eventsrc
  DESTINATION ${DATA_INSTALL_DIR}/kteatime
  PO_DIR kteatime-eventsrc
)

tde_create_translated_desktop( kteatime.desktop )

=== kweather/CMakeLists.txt ===
--- 
+++ 
@@ -36,7 +36,7 @@
 ##### kweatherservice (executable) ##############
 
 tde_add_executable( kweatherservice AUTOMOC
-  SOURCES main.cpp metar_parser.cpp
+  SOURCES main.cpp weather_icon.cpp metar_parser.cpp
     weatherlib.cpp weatherservice.cpp
     weatherservice.skel stationdatabase.cpp
     sun.cpp weatherservice.stub
@@ -92,7 +92,7 @@
 # 
 # tde_add_executable( metar_parser_test AUTOMOC
 #   SOURCES metar_parser_test.cpp metar_parser.cpp
-#     stationdatabase.cpp sun.cpp
+#     weather_icon.cpp stationdatabase.cpp sun.cpp
 # )
 # 
 # add_test( NAME metar_parser_test-test
@@ -110,25 +110,45 @@
 )
 
 
-##### kcm_weather (kpart) #######################
-
-tde_add_kpart( kcm_weather AUTOMOC
-  SOURCES kcmweather.cpp prefdialogdata.ui
+##### kcm_weatherapplet (kpart) #################
+
+tde_add_kpart( kcm_weatherapplet AUTOMOC
+  SOURCES kcmweatherapplet.cpp appletconfig.ui
     weatherservice.stub
   LINK tdeio-shared
   DESTINATION ${PLUGIN_INSTALL_DIR}
 )
 
-
-##### kcm_weatherservice (kpart) ################
+##### kcm_weatherservice (kpart) #################
 
 tde_add_kpart( kcm_weatherservice AUTOMOC
-  SOURCES kcmweatherservice.cpp
-    serviceconfigwidget.cpp serviceconfigdata.ui
+  SOURCES kcmweatherservice.cpp serviceconfig.ui
+    weatherservice.stub
+  LINK tdeio-shared
+  DESTINATION ${PLUGIN_INSTALL_DIR}
+)
+
+##### kcm_weatherstations (kpart) ################
+
+tde_add_kpart( kcm_weatherstations AUTOMOC
+  SOURCES kcmweatherstations.cpp
+    stationsconfigwidget.cpp stationsconfig.ui
     weatherservice.stub
   LINK tdeui-shared tdehtml-shared
   DESTINATION ${PLUGIN_INSTALL_DIR}
 )
+
+##### weather_sidebar (kpart) ####################
+if( BUILD_KONQ_KWEATHER )
+  tde_import( konqueror )
+  tde_add_kpart( weather_sidebar AUTOMOC
+    SOURCES sidebarwidget.cpp dockwidget.cpp
+      weatherbar.cpp weatherbar.skel
+      weatherbutton.cpp weatherservice.stub
+    LINK tdeio-shared konqsidebarplugin-shared tdeutils-shared
+    DESTINATION ${PLUGIN_INSTALL_DIR}
+  )
+endif( )
 
 
 ##### icons #####################################
@@ -159,8 +179,23 @@
 tde_create_translated_desktop(
   SOURCE
     kweatherservice.desktop
-    kcmweather.desktop
+    kcmweatherapplet.desktop
     kcmweatherservice.desktop
+    kcmweatherstations.desktop
   DESTINATION ${SERVICES_INSTALL_DIR}
   PO_DIR kweather-desktops
 )
+
+if( BUILD_KONQ_KWEATHER )
+  tde_create_translated_desktop(
+    SOURCE weatherbar.desktop
+    DESTINATION ${DATA_INSTALL_DIR}/konqsidebartng/entries
+    PO_DIR kweather-desktops
+  )
+
+  tde_create_translated_desktop(
+    SOURCE weatherbar_add.desktop
+    DESTINATION ${DATA_INSTALL_DIR}/konqsidebartng/add
+    PO_DIR kweather-desktops
+  )
+endif( )

=== amor/data/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( pics )

##### other data ################################

install( FILES blobrc ghostrc eyesrc bonhommerc
  nekorc pingurc wormrc tips-en billyrc bsdrc
  tuxrc taorc
  DESTINATION ${DATA_INSTALL_DIR}/amor
)

tde_install_symlink( tips-en ${DATA_INSTALL_DIR}/amor/tips )

=== doc/amor/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_create_handbook( DESTINATION amor )

install(
    FILES amor.1
    DESTINATION ${MAN_INSTALL_DIR}/man1
    COMPONENT doc
)

=== kworldwatch/maps/flatworld/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

install(
  FILES
    200.jpg 400.jpg 800.jpg 1200.jpg 1600.jpg
  DESTINATION
    ${DATA_INSTALL_DIR}/kworldclock/maps/flatworld
)

tde_create_translated_desktop(
  SOURCE flatworld.desktop
  DESTINATION ${DATA_INSTALL_DIR}/kworldclock/maps/flatworld
  PO_DIR kworldwatch-maps
)

=== amor/data/pics/animated/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( blob )
add_subdirectory( bonhomme )
add_subdirectory( eyes )
add_subdirectory( ghost )
add_subdirectory( neko )
add_subdirectory( pingu )
add_subdirectory( tao )
add_subdirectory( worm )

=== amor/data/pics/static/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

install( FILES billy.png bsd.png tux.png
  DESTINATION
    ${DATA_INSTALL_DIR}/amor/pics/static
)

=== amor/data/pics/animated/eyes/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

install( FILES eye_1.png eye_2.png eye_b.png
  eye_d.png eye_e.png eye_h1.png eye_h2.png
  eye_h3.png eye_h4.png eye_l.png eye_m1.png
  eye_m2.png eye_m3.png eye_m4.png eye_m5.png
  eye_m6.png eye_m7.png eye_s1.png eye_s2.png
  eye_s3.png eye_s4.png eye_u.png eye_z1.png
  eye_z2.png eye_z3.png eye_z4.png eye_z5.png
  DESTINATION
    ${DATA_INSTALL_DIR}/amor/pics/animated/eyes
)

=== amor/data/pics/animated/ghost/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

install( FILES ghost_1.png ghost_2.png
  ghost_e.png ghost_m1.png ghost_m2.png
  ghost_m3.png ghost_m4.png ghost_m5.png
  ghost_m6.png ghost_m7.png ghost_z1.png
  ghost_z2.png ghost_z3.png ghost_z4.png
  ghost_z5.png
  DESTINATION
    ${DATA_INSTALL_DIR}/amor/pics/animated/ghost
)

=== debian/changelog ===
tdetoys-trinity (4:14.1.5-0ubuntu25.10.0+0) questing; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tdetoys

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## tdetoys-trinity 14.1.6~pre0

=== debian/changelog ===
tdetoys-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 582682650ec79836ffe7e9adf5dbcb35565c952f
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdetoys

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## tdetoys-trinity 14.1.6~pre2

=== debian/changelog ===
tdetoys-trinity (4:14.1.6~pre2-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for c2b2008f1f0c83891e53d9e43c1ab748f9a7bf5b
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdetoys

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 16 Dec 2025 11:16:45 +0100

## tdetoys-trinity 14.1.6~pre4

=== debian/changelog ===
tdetoys-trinity (4:14.1.6~pre4-0debian14.0.0+0~a) forky; urgency=low

  * Automated git build for 034789fab22f21f7c6b298d3551eef319dd68c88
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdetoys

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 06 Jan 2026 02:17:47 +0100

## tdetoys-trinity 14.1.6~pre5

=== debian/changelog ===
tdetoys-trinity (4:14.1.6~pre5-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for e7aa9098da26f5943da7ac4c43d63a0bcf68bc57
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdetoys

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 17 Jan 2026 16:18:26 +0100

## tdetoys-trinity 14.1.6~pre6

=== debian/changelog ===
tdetoys-trinity (4:14.1.6~pre6-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 71dfe876c912f80a8dbce8d45c6fa77c4e8efbff
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tdetoys

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 31 Jan 2026 14:17:09 +0100

## tdetoys-trinity 14.2.0~pre91

=== debian/changelog ===
tdetoys-trinity (4:14.2.0~pre91-0ubuntu18.04.0+6) bionic; urgency=low

  * Automated git build for 9ca04089b3ffd804e4c3bc8522b3e5fb0d3c96e2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdetoys

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,7 @@
 #! /usr/bin/make -f
 
 include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/class/cmake.mk
-include debian/cdbs/debian-tde.mk
+-include /usr/share/cdbs/1/class/tde.mk
 
 DEB_CMAKE_EXTRA_FLAGS := \
  -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \

## tdetoys-trinity 14.2.0~pre93

=== debian/changelog ===
tdetoys-trinity (4:14.2.0~pre93-0ubuntu24.10.0+6) oracular; urgency=low

  * Automated git build for ba7ed57f617134d50c43d4ddb0dba817729110b7
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdetoys

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 16 Dec 2025 11:12:18 +0100

## tdetoys-trinity 14.2.0~pre95

=== debian/changelog ===
tdetoys-trinity (4:14.2.0~pre95-0debian14.0.0+6~a) forky; urgency=low

  * Automated git build for 51ff522f6140a5ffc98e6350992e47207b706916
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdetoys

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 05 Jan 2026 18:12:45 +0100

## tdetoys-trinity 14.2.0~pre96

=== debian/changelog ===
tdetoys-trinity (4:14.2.0~pre96-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for d20c5b6e1e59727efcebfe9d4585dadf4e9b3e6b
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdetoys

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 17 Jan 2026 16:13:12 +0100

## tdetoys-trinity 14.2.0~pre97

=== debian/changelog ===
tdetoys-trinity (4:14.2.0~pre97-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 4cbea493ea11d681b9048a5fdd746d2ff38b5a18
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tdetoys

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 31 Jan 2026 14:12:29 +0100
